phing-tasks-ext

# Class: PearPkgMappingElement Source Location: /tasks/ext/PearPackageTask.php
### Class Overview
Sub-element of <mapping>. | ### Methods createElement getKey getValue setKey setValue
### Class Details [line 379] Sub-element of <mapping>. [ Top ] ### Class Methods ### method createElement [line 421]
`void createElement( )`
Handles nested <element> tags. #### Tags:
access: | public
[ Top ] ### method getKey [line 389]
`void getKey( )`
#### Tags:
access: | public
[ Top ] ### method getValue [line 402]
`mixed getValue( )`
Returns either the simple value or the calculated value (array) of nested elements. #### Tags:
access: | public
[ Top ] ### method setKey [line 385]
`void setKey( $v)`
#### Tags:
access: | public
#### Parameters:
| $v |
[ Top ] ### method setValue [line 393]
`void setValue( $v)`
#### Tags:
access: | public
#### Parameters:
| $v |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:31 +0200 by phpDocumentor 1.4.3